BINCLOCK(1)

NAME
binclock - prints time in binary format

SYNOPSIS
binclock [OPTION]...

DESCRIPTION

It shows the system time in a binary format. It supports showing the time with seven different colors, and it can run a loop that prints the time every second.

Colors and characters can be changed with a config file.

-l, --loop
    loops the time printing every second.

--color=[on|off]
    control if color will be used for time output.

--help
    display this help and exit

--version
    output version information and exit

-t, --traditional
    prints ime in traditional output (0000 : 0000 : 00)

-n, --normal
    binclock displays an additional human readable time.

If there is no CONFIG file the default colors are red (1) and white.

COLORS AND CHARACTERS

color_one=red
    color for the one.

color_zero=green
    color for the zero.

char_one=1
    sets the character for the one.

char_zero=0
    sets the character for the zero

FILES

~/.binclockrc
    User configuration file.

/etc/binclockrc
    System-wide configuration file.

REPORTING BUGS
Report bugs to <binclock@ngolde.de>.

NO WARRANTIES
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

AUTHOR

Nico Golde

Use <binclock@ngolde.de> to contact the developer.